Bug 175412 - [PATCH] mail/elm Stop being interactive
Summary: [PATCH] mail/elm Stop being interactive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-18 16:30 UTC by Chris Rees
Modified: 2013-03-03 10:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2013-01-18 16:30:00 UTC
	Small patch to Configure, and make use of the -d option to Configure
	means that we don't need to have an interactive port.

	While here, rename patch-aa to correct name.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--LyYZDYf9yzsihz5l6x9F1vjpxrMjbg3vvsoadModvC8hWajb
Content-Type: text/plain; name="patch.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch.txt"

Index: Makefile
===================================================================
--- Makefile	(revision 310609)
+++ Makefile	(working copy)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    elm25
-# Date created:				04 Feb 2000
-# Whom:					dhagan@cs.vt.edu
-#
+# Created by: dhagan@cs.vt.edu
 # $FreeBSD$
-#
 
 PORTNAME=	elm
 PORTVERSION=	2.5.8
@@ -24,10 +20,10 @@
 WRKSRC=			${WRKDIR}/elm${PORTVERSION}
 NO_LATEST_LINK=		yes
 USE_GETTEXT=		yes
-IS_INTERACTIVE=		yes
 HAS_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	Configure
 CONFIGURE_ENV=		PREFIX="${PREFIX}"
+CONFIGURE_ARGS=		-d
 MAN1=			answer.1 checkalias.1 elm.1 elmalias.1 fastmail.1 \
 			frm.1 listalias.1 messages.1 newalias.1 newmail.1 \
 			printmail.1 readmsg.1 mmencode.1
Index: files/patch-Configure

Renamed from files/patch-aa

===================================================================
--- files/patch-Configure	(working copy)
+++ files/patch-Configure	(working copy)
@@ -1,5 +1,5 @@
---- Configure.orig	Fri Dec 15 14:00:55 2000
-+++ Configure	Mon Jan 27 04:04:55 2003
+--- Configure.orig	2005-08-18 13:49:24.000000000 +0100
++++ Configure	2013-01-18 16:14:29.794050455 +0000
 @@ -18,11 +18,6 @@
  PATH=".:/bin:/usr/bin:/usr/local/bin:/usr/ucb:/usr/local:/usr/lbin:/etc:/usr/new:/usr/new/bin:/usr/nbin:$PATH"
  export PATH || (echo "OOPS, this isn't sh.  Desperation time.  I will feed myself to sh."; sh $0; kill $$)
@@ -12,7 +12,15 @@
  (alias) >/dev/null 2>&1 && \
      echo "(I see you are using the Korn shell.  Some ksh's blow up on Configure," && \
      echo "especially on exotic machines.  If yours does, try the Bourne shell instead.)"
-@@ -2055,6 +2050,7 @@
+@@ -491,7 +486,6 @@
+     c='\c'
+ fi
+ echo $n "Type carriage return to continue.  Your cursor should be here-->$c"
+-read ans
+ rm -f .echotmp
+ 
+ : now set up to do reads with possible shell escape and default assignment
+@@ -2058,6 +2052,7 @@
      libc=/usr/lib/libc.a
  else
  set /usr/ccs/lib/libc.so
@@ -20,7 +28,7 @@
  test -f $1 || set /usr/lib/libc.so
  test -f $1 || set /usr/lib/libc.so.[0-9]*
  test -f $1 || set /lib/libsys_s.a
-@@ -2108,7 +2104,7 @@
+@@ -2111,7 +2106,7 @@
  set `echo $libc $libnames | tr ' ' '\012' | sort | uniq`
  $echo $n "Extracting names from $* for later perusal...$c"
  nm $nm_opts $* 2>/dev/null >libc.tmp
@@ -29,7 +37,7 @@
  if $contains '^printf$' libc.list >/dev/null 2>&1; then
      echo done
  elif $sed -n -e 's/^__*//' -e 's/^\([a-zA-Z_0-9$]*\).*xtern.*/\1/p' \
-@@ -2496,7 +2492,10 @@
+@@ -2499,7 +2494,10 @@
  #
  : see if crypt exists
  echo " "
@@ -41,3 +49,11 @@
      echo 'crypt() found.'
      d_crypt="$define"
      cryptlib=''
+@@ -5499,7 +5497,6 @@
+ echo "If you didn't make any mistakes, then just type a carriage return here."
+ rp="If you need to edit config.sh, do it as a shell escape here:"
+ $echo $n "$rp $c"
+-. UU/myread
+ case "$ans" in
+ '') ;;
+ *) : in case they cannot read
Comment 1 Edwin Groothuis freebsd_committer 2013-01-18 16:30:07 UTC
Maintainer of mail/elm,

Please note that PR ports/175412 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175412

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-18 16:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Rees freebsd_committer 2013-01-18 16:34:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-03-03 10:44:35 UTC
Author: crees
Date: Sun Mar  3 10:44:26 2013
New Revision: 313340
URL: http://svnweb.freebsd.org/changeset/ports/313340

Log:
  Stop being INTERACTIVE
  
  Correct name of patch-aa
  
  PR:		ports/175412
  Approved by:	maintainer timeout (toasty@dragondata.com, 6 weeks)

Added:
  head/mail/elm/files/patch-Configure
     - copied, changed from r310609, head/mail/elm/files/patch-aa
Deleted:
  head/mail/elm/files/patch-aa
Modified:
  head/mail/elm/Makefile

Modified: head/mail/elm/Makefile
==============================================================================
--- head/mail/elm/Makefile	Sun Mar  3 10:41:41 2013	(r313339)
+++ head/mail/elm/Makefile	Sun Mar  3 10:44:26 2013	(r313340)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    elm25
-# Date created:				04 Feb 2000
-# Whom:					dhagan@cs.vt.edu
-#
+# Created by: dhagan@cs.vt.edu
 # $FreeBSD$
-#
 
 PORTNAME=	elm
 PORTVERSION=	2.5.8
@@ -24,10 +20,10 @@ CFLAGS+=	-D_SIZE_T
 WRKSRC=			${WRKDIR}/elm${PORTVERSION}
 NO_LATEST_LINK=		yes
 USE_GETTEXT=		yes
-IS_INTERACTIVE=		yes
 HAS_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	Configure
 CONFIGURE_ENV=		PREFIX="${PREFIX}"
+CONFIGURE_ARGS=		-d
 MAN1=			answer.1 checkalias.1 elm.1 elmalias.1 fastmail.1 \
 			frm.1 listalias.1 messages.1 newalias.1 newmail.1 \
 			printmail.1 readmsg.1 mmencode.1

Copied and modified: head/mail/elm/files/patch-Configure (from r310609, head/mail/elm/files/patch-aa)
==============================================================================
--- head/mail/elm/files/patch-aa	Fri Jan 18 14:38:36 2013	(r310609, copy source)
+++ head/mail/elm/files/patch-Configure	Sun Mar  3 10:44:26 2013	(r313340)
@@ -1,5 +1,5 @@
---- Configure.orig	Fri Dec 15 14:00:55 2000
-+++ Configure	Mon Jan 27 04:04:55 2003
+--- Configure.orig	2005-08-18 13:49:24.000000000 +0100
++++ Configure	2013-01-18 16:14:29.794050455 +0000
 @@ -18,11 +18,6 @@
  PATH=".:/bin:/usr/bin:/usr/local/bin:/usr/ucb:/usr/local:/usr/lbin:/etc:/usr/new:/usr/new/bin:/usr/nbin:$PATH"
  export PATH || (echo "OOPS, this isn't sh.  Desperation time.  I will feed myself to sh."; sh $0; kill $$)
@@ -12,7 +12,15 @@
  (alias) >/dev/null 2>&1 && \
      echo "(I see you are using the Korn shell.  Some ksh's blow up on Configure," && \
      echo "especially on exotic machines.  If yours does, try the Bourne shell instead.)"
-@@ -2055,6 +2050,7 @@
+@@ -491,7 +486,6 @@
+     c='\c'
+ fi
+ echo $n "Type carriage return to continue.  Your cursor should be here-->$c"
+-read ans
+ rm -f .echotmp
+ 
+ : now set up to do reads with possible shell escape and default assignment
+@@ -2058,6 +2052,7 @@
      libc=/usr/lib/libc.a
  else
  set /usr/ccs/lib/libc.so
@@ -20,7 +28,7 @@
  test -f $1 || set /usr/lib/libc.so
  test -f $1 || set /usr/lib/libc.so.[0-9]*
  test -f $1 || set /lib/libsys_s.a
-@@ -2108,7 +2104,7 @@
+@@ -2111,7 +2106,7 @@
  set `echo $libc $libnames | tr ' ' '\012' | sort | uniq`
  $echo $n "Extracting names from $* for later perusal...$c"
  nm $nm_opts $* 2>/dev/null >libc.tmp
@@ -29,7 +37,7 @@
  if $contains '^printf$' libc.list >/dev/null 2>&1; then
      echo done
  elif $sed -n -e 's/^__*//' -e 's/^\([a-zA-Z_0-9$]*\).*xtern.*/\1/p' \
-@@ -2496,7 +2492,10 @@
+@@ -2499,7 +2494,10 @@
  #
  : see if crypt exists
  echo " "
@@ -41,3 +49,11 @@
      echo 'crypt() found.'
      d_crypt="$define"
      cryptlib=''
+@@ -5499,7 +5497,6 @@
+ echo "If you didn't make any mistakes, then just type a carriage return here."
+ rp="If you need to edit config.sh, do it as a shell escape here:"
+ $echo $n "$rp $c"
+-. UU/myread
+ case "$ans" in
+ '') ;;
+ *) : in case they cannot read
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-03-03 10:59:26 UTC
State Changed
From-To: feedback->closed

Committed.